cascading.stats.hadoop

## Class HadoopNodeStats

- java.lang.Object
- - cascading.stats.CascadingStats<FlowSliceStats>
  - - cascading.stats.FlowNodeStats
    - - cascading.stats.BaseCachedNodeStats<org.apache.hadoop.conf.Configuration,FlowNodeStats,java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>>>
      - - cascading.stats.hadoop.HadoopNodeStats

All Implemented Interfaces:
  ProvidesCounters, java.io.Serializable

    public class HadoopNodeStats
    extends BaseCachedNodeStats<org.apache.hadoop.conf.Configuration,FlowNodeStats,java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>>>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.stats.CascadingStats

`CascadingStats.Status, CascadingStats.Type`

### Field Summary

### Fields inherited from class cascading.stats.BaseCachedNodeStats

`allChildrenFinished, counterCache, sliceStatsMap`

### Fields inherited from class cascading.stats.FlowNodeStats

`hasCapturedFinalDetail`

### Fields inherited from class cascading.stats.CascadingStats

`clientState, finishedTime, lastCaptureDetail, listeners, name, pendingTime, runTime, startTime, STATS_COMPLETE_CHILD_DETAILS_BLOCK_DURATION, STATS_STORE_INTERVAL, status, submitTime, throwable, throwableTrace`

### Constructor Summary

Constructors
`protected` `HadoopNodeStats(HadoopStepStats parentStepStats, org.apache.hadoop.conf.Configuration configuration, HadoopSliceStats.Kind kind, FlowNode flowNode, ClientState clientState)` Constructor CascadingStats creates a new CascadingStats instance.

### Method Summary

Methods
`protected void` `addAttempt(org.apache.hadoop.mapred.TaskCompletionEvent event)`
`protected void` `addTaskStats(org.apache.hadoop.mapred.TaskReport[] taskReports, boolean skipLast)`
`protected boolean` `captureChildDetailInternal()` Returns true if was able to capture/refresh the internal child stats cache.
`java.lang.String` `getKind()`

### Methods inherited from class cascading.stats.BaseCachedNodeStats

`cachedCounters, captureDetail, getChildren, getChildWith, getCounterGroups, getCounterGroupsMatching, getCountersFor, getCounterValue, getCounterValue, getLastSuccessfulCounterFetchTime, isAllChildrenFinished, recordChildStats`

### Methods inherited from class cascading.stats.FlowNodeStats

`getFlowNode, getID, getOrdinal, getProcessLogger, getType, hasCapturedFinalDetail, recordInfo, toString`

### Methods inherited from class cascading.stats.CascadingStats

`addListener, captureDetail, cleanup, fireListeners, getCountersFor, getCurrentDuration, getDuration, getFinishedTime, getName, getPendingTime, getPrefix, getRunTime, getStartTime, getStatsString, getStatus, getSubmitTime, getThrowable, getThrowableTrace, isDetailStale, isEngaged, isFailed, isFinished, isPending, isRunning, isSkipped, isStarted, isStopped, isSubmitted, isSuccessful, logDebug, logError, logError, logInfo, logWarn, markDetailCaptured, markFailed, markFailed, markFailed, markFailed, markFinishedTime, markPending, markPendingTime, markRunning, markRunTime, markSkipped, markStarted, markStartedThenRunning, markStartTime, markStartToRunTime, markStopped, markSubmitted, markSubmitTime, markSuccessful, prepare, recordStats, removeListener, setStatsStoreInterval`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HadoopNodeStats

    protected HadoopNodeStats(HadoopStepStats parentStepStats,
                   org.apache.hadoop.conf.Configuration configuration,
                   HadoopSliceStats.Kind kind,
                   FlowNode flowNode,
                   ClientState clientState)

Constructor CascadingStats creates a new CascadingStats instance.

Parameters:
  `parentStepStats` -
  `configuration` -
  `kind` -
  `flowNode` -
  `clientState` -

### Method Detail

#### getKind

    public java.lang.String getKind()

Specified by:
  `getKind` in class `FlowNodeStats`

#### captureChildDetailInternal

    protected boolean captureChildDetailInternal()

Description copied from class: `BaseCachedNodeStats`
Returns true if was able to capture/refresh the internal child stats cache.

Specified by:
  `captureChildDetailInternal` in class `BaseCachedNodeStats<org.apache.hadoop.conf.Configuration,FlowNodeStats,java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>>>`
Returns:
  true if successful

#### addTaskStats

    protected void addTaskStats(org.apache.hadoop.mapred.TaskReport[] taskReports,
                    boolean skipLast)

#### addAttempt

    protected void addAttempt(org.apache.hadoop.mapred.TaskCompletionEvent event)